package ${basePackage}.module.system.req;

import org.hibernate.validator.constraints.Length;
import ${basePackage}.frame.base.BaseRequest;

import javax.validation.constraints.NotNull;

/**
 * DictItemCreateRequest - 字典项新增
 *
 * @author wangbing
 * @version 0.0.1
 * @since 2019-07-20
 */
public class DictItemCreateRequest extends BaseRequest {

    /**
     * 字典ID
     */
    @NotNull(message = "字典主键不能为空")
    private Long dictId;

    /**
     * 字典KEY
     */
    @Length(min = 1, max = 10, message = "字典KEY长度不合法(1-10)")
    private String key;

    /**
     * 字典VALUE
     */
    @Length(min = 1, max = 100, message = "字典VALUE长度不合法(1-100)")
    private String value;

    /**
     * 排序
     */
    @NotNull(message = "字典项排序值不能为空")
    private Integer sort;

    /**
     * 是否有效
     */
    @NotNull(message = "是否有效不能为空")
    private Boolean valid;

    public Long getDictId() {
        return this.dictId;
    }

    public void setDictId(Long dictId) {
        this.dictId = dictId;
    }

    public String getKey() {
        return this.key;
    }

    public void setKey(String key) {
        this.key = key;
    }

    public String getValue() {
        return this.value;
    }

    public void setValue(String value) {
        this.value = value;
    }

    public Integer getSort() {
        return this.sort;
    }

    public void setSort(Integer sort) {
        this.sort = sort;
    }

    public Boolean getValid() {
        return this.valid;
    }

    public void setValid(Boolean valid) {
        this.valid = valid;
    }
}
